/*
 * util.h --- header file defining prototypes for helper functions
 * used by tune2fs and mke2fs
 *
 * Copyright 2000 by Theodore Ts'o.
 *
 * %Begin-Header%
 * This file may be redistributed under the terms of the GNU Public
 * License.
 * %End-Header%
 */

#ifdef __rtems__
#include <setjmp.h>

jmp_buf rtems_ext2fs_mkfsck_exit_jmp;
int rtems_ext2fs_mkfsck_exit_code;

static void rtems_ext2fs_mkfsck_exit(int code)
{
  rtems_ext2fs_mkfsck_exit_code = code;
  longjmp (rtems_ext2fs_mkfsck_exit_jmp, 1);
}

#define exit rtems_ext2fs_mkfsck_exit

#define journal_size rtems_ext2fs_journal_size
#define journal_flags rtems_ext2fs_journal_flags
#define journal_device rtems_ext2fs_journal_device
#endif

extern int	 journal_size;
extern int	 journal_flags;
extern char	*journal_device;

#ifndef HAVE_STRCASECMP
extern int strcasecmp (char *s1, char *s2);
#endif
extern char *get_progname(char *argv_zero);
extern void proceed_question(void);
extern void check_plausibility(const char *device);
extern void parse_journal_opts(const char *opts);
extern void check_mount(const char *device, int force, const char *type);
extern unsigned int figure_journal_size(int size, ext2_filsys fs);
extern void print_check_message(ext2_filsys fs);
